Skip to main content
PUT
/
v3
/
profiles
/
{profile}
/
normal-hours
/
{normalHour}
Update Profile Normal Hour
curl --request PUT \
  --url https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/normal-hours/{normalHour} \
  --header 'Content-Type: application/json' \
  --data '
{
  "available_from": "<string>",
  "available_until": "<string>"
}
'
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/normal-hours/{normalHour}"

payload = {
"available_from": "<string>",
"available_until": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({available_from: '<string>', available_until: '<string>'})
};

fetch('https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/normal-hours/{normalHour}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "profile_id": "<string>",
    "day_of_week": "<string>",
    "available_from": "<string>",
    "available_until": "<string>",
    "is_closed": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Path Parameters

profile
string<uuid>
required

The profile ID

normalHour
integer
required

The normal hour ID

Body

application/json
day_of_week
enum<string>
Available options:
MON,
TUE,
WED,
THU,
FRI,
SAT,
SUN
available_from
string | null
available_until
string | null

Response

ProfileNormalHour

data
ProfileNormalHour · object
required